#ifndef __VORDOG_H_
#define __VORDOG_H_

#include <sys/ioccom.h>

#define VDT_4MS 0x00
#define VDT_1S 0x01
#define VDT_1M 0x02
#define VDT_1H 0x03

typedef struct vordog_cfg {
    int init_val;
    int unit;
} * vordog_cfg_t;

#define VDCTL_ENABLE _IOW('E', 0, struct vordog_cfg)
#define VDCTL_RESET _IO('R', 0)
#define VDCTL_DISABLE _IO('D', 0)

#endif /* __VORDOG_H_ */
